#ifndef TCP_SOCKET_EXCEPTION_H
#define TCP_SOCKET_EXCEPTION_H

// Include standard libraries.
#include <string>
#include <iostream>
#include <sstream>

// Define own exception class.
class TcpSocketException {
	private:
		std::string msg;
		
	public:
		TcpSocketException(std::string m) {
			msg = m;
		}
		
		friend std::ostream& operator<<(std::ostream& os, const TcpSocketException& e) {
			// Push data onto the stream and return it.
			return os << e.msg << std::endl;
		}
};

#endif
